function [w_error,tissue_estimated]=TCM1(parameter_estimates,time,blood,tissue_TAC)
% MATLAB / OCTAVE implementation of a simple 1-TCM
% Jarmo Teuho 2022

K1=parameter_estimates(1);
k2=parameter_estimates(2);

h=K1*exp(-k2*time);

tissue_estimated=conv(h,blood);

% Plot for QC (opens a lot [30+] of graphs)
% figure;plot(tissue_estimated(1:length(time)))
% hold on
% plot(tissue_TAC)
% legend('estimated','measured')

w_error=tissue_TAC-tissue_estimated(1:length(time));